# React Native Calendar Component

The React Native Calendar Component (`Calendar`) is a customizable calendar UI component for React Native applications. It allows users to select dates within a specified range and provides navigation for switching between months and years.

## Usage

Import the `Calendar` component in your React Native application and include it in your render method:

```
import React from "react";
import { View } from "react-native";
import Calendar from "react-native-custom-calendar";

const App = () => {
  const handleDateSelect = (date) => {
    console.log("Selected Date:", date);
    // Your logic for handling the selected date
  };

  return (
    <View style={{ flex: 1, alignItems: "center", justifyContent: "center" }}>
      <Calendar onSelectDate={handleDateSelect} />
    </View>
  );
};

export default App;
```

## Props

The `Calendar` component accepts the following props:

- `onSelectDate`: Function called when a date is selected. It receives the selected date as an argument.
- `startYear`: Optional. The start year for the calendar. Defaults to 100 years before the current year.
- `endYear`: Optional. The end year for the calendar. Defaults to 100 years after the current year.

## Customization

You can customize the appearance and behavior of the `Calendar` component by passing props or modifying the component's styles directly.

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
